From 9365720e960475dbbda8e93833a37504d7519337 Mon Sep 17 00:00:00 2001
From: Liang Zhang <zhangliang5@huawei.com>
Date: Fri, 26 Feb 2021 11:07:30 +0800
Subject: [PATCH 3/4] doc: add qmp return message

Signed-off-by: Liang Zhang <zhangliang5@huawei.com>
---
 docs/config_guidebook.md         | 13 ++++++++-----
 machine_manager/src/config/fs.rs |  2 +-
 util/src/leak_bucket.rs          |  2 +-
 3 files changed, 10 insertions(+), 7 deletions(-)

diff --git a/docs/config_guidebook.md b/docs/config_guidebook.md
index 936676c..b0c6700 100644
--- a/docs/config_guidebook.md
+++ b/docs/config_guidebook.md
@@ -289,7 +289,7 @@ $ ifconfig qbr0 up; ifconfig tap0 up
 $ ifconfig qbr0 1.1.1.1
 
 # Run StratoVirt
-... -netdev id=iface_0,netdev=tap0 ...
+... -netdev id=net-0,netdev=tap0 ...
 
 # In guest
 $ ip link set eth0 up
@@ -458,8 +458,8 @@ Stop all guest VCPUs execution.
 
 ```json
 <- {"execute":"stop"}
--> {"return":{}}
 -> {"event":"STOP","data":{},"timestamp":{"seconds":1583908726,"microseconds":162739}}
+-> {"return":{}}
 ```
 
 #### 3.3.2 Command `cont`
@@ -468,8 +468,8 @@ Resume all guest VCPUs execution.
 
 ```json
 <- {"execute":"cont"}
--> {"return":{}}
 -> {"event":"RESUME","data":{},"timestamp":{"seconds":1583908853,"microseconds":411394}}
+-> {"return":{}}
 ```
 
 #### 3.3.3 Command `quit`
@@ -478,8 +478,8 @@ This command will cause StratoVirt process to exit gracefully.
 
 ```json
 <- {"execute":"quit"}
--> {"event":"SHUTDOWN","data":{"guest":false,"reason":"host-qmp-quit"},"timestamp":{"ds":1590563776,"microseconds":519808}}
 -> {"return":{}}
+-> {"event":"SHUTDOWN","data":{"guest":false,"reason":"host-qmp-quit"},"timestamp":{"ds":1590563776,"microseconds":519808}}
 ```
 
 #### 3.3.4 Command `query-status`
@@ -530,7 +530,9 @@ You can also remove the replaceable block device by:
 
 ```json
 <- {"execute":"netdev_add", "arguments":{"id":"net-0", "ifname":"tap0"}}
--> {"execute":"device_add", "arguments":{"id":"net-0", "driver":"virtio-net-mmio", "addr":"0x0"}}
+-> {"return": {}}
+<- {"execute":"device_add", "arguments":{"id":"net-0", "driver":"virtio-net-mmio", "addr":"0x0"}}
+-> {"return": {}}
 ```
 
 **`id` in `netdev_add` should be same as `id` in `device_add`.**
@@ -541,6 +543,7 @@ You can also remove the replaceable net device by:
 
 ```json
 <- {"execute": "device_del", "arguments": {"id": "net-0"}}
+-> {"event":"DEVICE_DELETED","data":{"device":"net-0","path":"net-0"},"timestamp":{"seconds":1614310541,"microseconds":554250}}
 -> {"return": {}}
 ```
 
diff --git a/machine_manager/src/config/fs.rs b/machine_manager/src/config/fs.rs
index 5ca843e..4466fbf 100644
--- a/machine_manager/src/config/fs.rs
+++ b/machine_manager/src/config/fs.rs
@@ -21,7 +21,7 @@ use crate::config::{CmdParser, ConfigCheck, ExBool, VmConfig};
 const MAX_STRING_LENGTH: usize = 255;
 const MAX_PATH_LENGTH: usize = 4096;
 const MAX_SERIAL_NUM: usize = 20;
-const MAX_IOPS: u64 = 1000000;
+const MAX_IOPS: u64 = 1_000_000;
 
 /// Config struct for `drive`.
 /// Contains block device's attr.
diff --git a/util/src/leak_bucket.rs b/util/src/leak_bucket.rs
index 5792a38..0a0180c 100644
--- a/util/src/leak_bucket.rs
+++ b/util/src/leak_bucket.rs
@@ -21,7 +21,7 @@ use crate::loop_context::EventLoopContext;
 /// Used to improve the accuracy of bucket level.
 const ACCURACY_SCALE: u64 = 1000;
 /// Nanoseconds per second.
-const NANOS_PER_SEC: u64 = 1000000000;
+const NANOS_PER_SEC: u64 = 1_000_000_000;
 
 /// Structure used to describe a Leaky Bucket.
 pub struct LeakBucket {
-- 
2.27.0

